PixieScript 2.6.3

Automation of the new Pixie WPS vulnerabilities

  1. duxim

    duxim Active Member

    Joined:
    7 Dec 2014
    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    33
    @spaceyoda
    Thank you for your post. I was really happy when i saw it.
    Few days ago I installed new version 1.1.0.a of Kali Linux, and I got same errors when I try to install Pixie Script.
    After that I leave installation and start preparation for "fight" with Kali and Pixie to get to work. :LOL:
    Now I have solution for problem :happy:
    Thank you once again. Nice post
    --- Double Post Merged, 26 Jul 2015, Original Post Date: 26 Jul 2015 ---
    It was on kali linux 3.14 distribution, and I have no problem at all to install it. In new 3.18 distribution I have lot of problems not only with pixie scrip.
    First of all to install PixieScrip, you need to install reaver
    https://github.com/t6x/reaver-wps-fork-t6x
    and pixiewps
    https://github.com/wiire/pixiewps
    and then use those codes. nothing special
    but in new version of kali everyting is complicated. Also i have problem to start Pixescript, and try to solve it.
    see post of spaceyoda.
    --- Double Post Merged, 27 Jul 2015 ---
    For those who wants to install PixieScript v 2.6.3 on Kali 3.18
    Kali 3.18 comes with reaver-wps-fork-t6x (therefore you don't need to install it)
    install Pixiewps from github
    Download PixieScrpt 2.4 and 2.63 (you need booth of them)

    Install first version 2.4 (this step is what I have been missed)
    tar -zxvf PixieScript_v2.4.tar.gz
    cd PixieScript_v2.4
    chmod +x INSTALADOR
    ./INSTALADOR

    Second steps :smug:
    tar -zxvf PixieScript_v2.6.3 tar.gz
    go to folder PixieScript_v2.6.3 and find file PixieScript and open with text editor and change
    #!/bin/sh to #!/bin/bash
    then install one by one

    1.)gtkdialog-0.8.3.
    2.)yad -0.29.0
    3.)initool-0-50.2 (i need to install it)
    4.)apt-get install xclip
    5.)apt-get install cpulimit
    type this code in terminal
    ln -s /usr/bin/xclip /root/Downloads/PixieScript_v2.6.3/HERRAMIENTAS/

    and finally install PixieSript 2.6.3
    Go to folder PixieSript 2.6.3 and type
    chmod +x INSTALADOR
    bash ./INSTALADOR

    1,2 & 3 are install with
    ./configure
    make
    sudo make install

    This is taken from all post here and all credits go to community :happy:
     
  2. Anas

    Anas Active Member

    Joined:
    8 Jun 2012
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    33
    DEPENDENCIAS GLOBALES

    COMPROBANDO DEPENDENCIA GTKDIALOG .... OK
    COMPROBANDO DEPENDENCIA YAD .......... OK
    COMPROBANDO DEPENDENCIA AIRCRACK-NG... OK
    COMPROBANDO DEPENDENCIA CURL ......... OK
    COMPROBANDO DEPENDENCIA MACCHANGER ... OK
    COMPROBANDO DEPENDENCIA gksudo ....... OK


    HERRAMIENTAS

    COMPROBANDO DEPENDENCIA MOD_REAVER ... FALTA
    DESCARGANDO REAVER, ESPERA ... OK
    APLICANDO PARCHE REAVER ...... OK
    COMPILANDO REAVER, ESPERA .... ERROR, CONSULTA EL ARCHIVO COMPILANDO_REAVER
    mv: cannot stat ‘COMPILANDO_REAVER’: No such file or directory
    root@kali:~/Downloads/PixieScript_v2.6.3#


    Anybody ?
     
    • Laugh My Ass Off Laugh My Ass Off x 1
  3. duxim

    duxim Active Member

    Joined:
    7 Dec 2014
    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    33
    @Anas
    read my post!!!
    you missed first step
    Code:
    Select All
    Install first version 2.4 (this step is what I have been missed) tar -zxvf PixieScript_v2.4.tar.gz cd PixieScript_v2.4 chmod +x INSTALADOR ./INSTALADOR
     
    #23 duxim, 17 Aug 2015
    Last edited by a moderator: 17 Aug 2015
  4. Anas

    Anas Active Member

    Joined:
    8 Jun 2012
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    33
    Code:
    Select All
    root@kali:~/Downloads/PixieScript_v2.4# ./INSTALADOR [3;J Dependencia reaver_pixie NO se cumple ... solucionando. DESCARGANDO REAVER Checked out revision 119. APLICANDO PARCHE REAVER patching file src/argsparser.c Reversed (or previously applied) patch detected! Skipping patch. 3 out of 3 hunks ignored -- saving rejects to file src/argsparser.c.rej patching file src/globule.c Reversed (or previously applied) patch detected! Skipping patch. 1 out of 1 hunk ignored -- saving rejects to file src/globule.c.rej patching file src/globule.h Reversed (or previously applied) patch detected! Skipping patch. 2 out of 2 hunks ignored -- saving rejects to file src/globule.h.rej patching file src/session.c Reversed (or previously applied) patch detected! Skipping patch. 1 out of 1 hunk ignored -- saving rejects to file src/session.c.rej patching file src/wps/wps_registrar.c Reversed (or previously applied) patch detected! Skipping patch. 2 out of 2 hunks ignored -- saving rejects to file src/wps/wps_registrar.c.rej patching file src/wpscrack.c Reversed (or previously applied) patch detected! Skipping patch. 1 out of 1 hunk ignored -- saving rejects to file src/wpscrack.c.rej COMPILANDO REAVER checking for gcc... gcc checking whether the C compiler works... yes checking for C compiler default output file name... a.out checking for suffix of executables... checking whether we are cross compiling... no checking for suffix of object files... o checking whether we are using the GNU C compiler... yes checking whether gcc accepts -g... yes checking for gcc option to accept ISO C89... none needed checking for pcap_open_live in -lpcap... no error: pcap library not found! root@kali:~/Downloads/PixieScript_v2.4#
    USING KALI SANA.
    Code:
    Select All
    root@kali:~# apt-get install libpcap-dev Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package libpcap-dev root@kali:~# apt-get install libsqlite3-dev Reading package lists... Done Building dependency tree Reading state information... Done libsqlite3-dev is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. root@kali:~#
     
    #24 Anas, 17 Aug 2015
    Last edited by a moderator: 17 Aug 2015
  5. duxim

    duxim Active Member

    Joined:
    7 Dec 2014
    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    33
    In Kali Sana you have lot of trouble to run almost everything.
    I give up from Kali 2.0 and I am waiting new 2.1 release and hope that Kali team will fix those problems
    until then I used 3.14 version of Kali w/o upgrading
    and Pixie Script (and other tools) runs smoothly
     
  6. hiperaktifdizayn

    Joined:
    18 Aug 2015
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    6


    Same Problem help pleace wifislax 4.8
     
  7. ƓმოεØνεર

    ƓმოεØνεર Active Member

    Joined:
    4 Oct 2012
    Messages:
    10
    Likes Received:
    1
    Trophy Points:
    43
    I installed PixieScript 2.6.3 on Kali 2.0 x64 [VMware]

    Code:
    Select All
    root@kali:~/Desktop/PixieScript_v2.6.3# bash ./INSTALADOR[3;J DEPENDENCIAS GLOBALES COMPROBANDO DEPENDENCIA GTKDIALOG .... OK COMPROBANDO DEPENDENCIA YAD .......... OK COMPROBANDO DEPENDENCIA AIRCRACK-NG... OK COMPROBANDO DEPENDENCIA CURL ......... OK COMPROBANDO DEPENDENCIA MACCHANGER ... OK COMPROBANDO DEPENDENCIA gksudo ....... OK HERRAMIENTAS COMPROBANDO DEPENDENCIA MOD_REAVER ... OK COMPROBANDO DEPENDENCIA PIXIEWPS ..... OK COMPROBANDO DEPENDENCIA XCLIP ........ OK COMPROBANDO DEPENDENCIA CPULIMIT ..... OK INSTALANDO SCRIPT .................... OK Acceso creado en el menú, en la categoria Network
    but not running

    Code:
    Select All
    sh: 1: /opt/PixieScript/PixieScript.sh: not found root@kali:/opt/PixieScript#
    How to fix?
     
  8. duxim

    duxim Active Member

    Joined:
    7 Dec 2014
    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    33
    it runs smoothly on 4-11-1 version
    --- Double Post Merged, 23 Aug 2015, Original Post Date: 23 Aug 2015 ---
    once again. Pixie script 2.6.3 runs in this moment only on this distribution
    WifiSlax 4-11-1 (but there you have to find working iso img) and
    on Kali Linux 1.09 (not Kali 2.0 Sana)
    I was tested on my computer. I did not try to install Pixie on other Linux distro.
    therefore you can try it, but examine what you need to install also in order to pixie work.
    Other distribution of Kali Linux & WifiSlax different from this ones have some problems
    and it is not possible in this moment to get pixiscript to work on them.
    I don't know why is that.
    hope this will be helpful information
     
  9. hiperaktifdizayn

    Joined:
    18 Aug 2015
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    6
    I went to Wifislax were ready in version 4.11-1. No problem. Thank you for your answer.
     
  10. fenixdoido

    fenixdoido Member

    Joined:
    31 Oct 2015
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    6
    Thank you.
    I Can confirm this is working with Kali Sana !
     
  11. ABDUL HAMEED

    ABDUL HAMEED Member

    Joined:
    18 Jan 2016
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    6
    COMPROBANDO DEPENDENCIA YAD. Error

    How to install yad.tar.xz
    Plz help me
     
  12. kozel747

    kozel747 Active Member

    Joined:
    1 Jun 2012
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    31
    sudo dpkg -i yad_0.33.1-1-webupd8-wily0_amd64.deb
     
  13. Oleg6820

    Oleg6820 Well-Known Member

    Joined:
    1 Jun 2012
    Messages:
    13
    Likes Received:
    2
    Trophy Points:
    71
    inflator1.0-backtrack5r1-gnome-bit32.deb or inflator1.0reaver-backtrack5r2.deb attacka
    reaver -i wlan0 -b BSSIDHERE -c Channel#Here -vvv -K 1
     

    Attached Files:

    #33 Oleg6820, 9 Mar 2016
    Last edited: 9 Mar 2016
  14. Isaacann95

    Isaacann95 Member

    Joined:
    15 Apr 2016
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    6
  15. pashan

    pashan Active Member

    Joined:
    16 Oct 2012
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    31
    how do i install this script in xiaopan 0.4.7.2?
     
  16. Daamia

    Daamia Active Member

    Joined:
    8 Jun 2012
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    26
    DEPENDENCIAS GLOBALES


    COMPROBANDO DEPENDENCIA GTKDIALOG .... OK

    COMPROBANDO DEPENDENCIA YAD .......... OK

    COMPROBANDO DEPENDENCIA AIRCRACK-NG... OK

    COMPROBANDO DEPENDENCIA CURL ......... OK

    COMPROBANDO DEPENDENCIA MACCHANGER ... OK




    HERRAMIENTAS

    COMPROBANDO DEPENDENCIA MOD_REAVER ... FALTA


    DESCARGANDO REAVER, ESPERA ... svn: E160013: Unable to connect to a repository at URL 'http://reaver-wps.googlecode.com/svn/trunk'
    svn:

    E160013: 'http://reaver-wps.googlecode.com/svn/trunk' path not found
    ERROR


    wifislax PixieScript_v2.6.3 #


    whats the problems..?
     
  17. MARTIAKUMKUM

    MARTIAKUMKUM Member

    Joined:
    30 Jun 2016
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    6



    Hi, am trying to install pixiescript 2.6.3 on wifislax 4.11 but i get

    (HERRAMIENTAS

    COMPROBANDO DEPENDENCIA MOD_REAVER ... FALTA
    DESCARGANDO REAVER, ESPERA ... svn: E160013: Unable to connect to a repository at URL 'http://reaver-wps.googlecode.com/svn/trunk'
    svn: E160013: 'http://reaver-wps.googlecode.com/svn/trunk' path not found
    ERROR)

    also when i open pixiescript wifislax, i get
    (ERRO: No se detecto ninguna tarjeta wifi)

    help pls
     
  18. Joshua J Churchill

    Joshua J Churchill Active Member

    Joined:
    2 Nov 2015
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    31
    I also am getting the same error,

    (HERRAMIENTAS

    COMPROBANDO DEPENDENCIA MOD_REAVER ... FALTA
    DESCARGANDO REAVER, ESPERA ... svn: E160013: Unable to connect to a repository at URL 'http://reaver-wps.googlecode.com/svn/trunk'
    svn: E160013: 'http://reaver-wps.googlecode.com/svn/trunk' path not found
    ERROR)


    PixieScript 2.4 is installed and runs properly but 2.63 wont. Getting the error

    ERROR: DEBES EJECUTAR EL INSTALADOR ANTES DE USAR EL SCRIPT
     
  19. dcambria

    dcambria Member

    Joined:
    19 Apr 2017
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    6
    tks!
     
Loading...
  • About Us

    We are a community mixed with professionals and beginners with an interest in wireless security, auditing and pentesting. Feel free to check out and upload resources.


    You can also find us on: Twitter and Facebook

  • Donate to Us

    Did you find our forums useful? Feel free to donate Bitcoin to us using the form below. Those who donate the equivlent of $10 USD or more will be upgraded to VIP membership. Don't have Bitcoin? Use your credit card to GO VIP here. Don't want to fork out some coin? There are other ways to GO VIP. Bitcoin: 1LMTGSoTyJWXuy2mQkHfgMzD7ez74x1Z8K